export declare class OpenAIAssistant {
    private openai;
    private thread;
    private logger;
    private status;
    private assistantId;
    private functions;
    private hub;
    constructor(apiKey: string, assistantId: string);
    on(_eventName: string | RegExp, _callback: Function): void;
    getStatus(): string;
    addFunction(name: string, func: Function): void;
    removeFunction(name: string): void;
    initThread(): Promise<void>;
    pollAnswers(threadId: string, runId: string): Promise<void>;
    private updateStatus;
    private isRunCompleted;
    private isRunFailedOrCancelled;
    private isRunInProgress;
    private handleActionRequired;
    private processRequiredActions;
    private handleCompletedRun;
    handleCreateMessage(message: string): Promise<void>;
    handleCancelRun(runId: string): Promise<void>;
    handleRunStep(): Promise<void>;
    private delay;
}
